using System;
class spojler
{
  static void Main() 
  {
      int a,b,x,y;
    var ab = Console.ReadLine();
    var data = ab.Split(' ');
    a = int.Parse(data[0]);
    b = int.Parse(data[1]);
    var xy = Console.ReadLine();
    data = xy.Split(' ');
    x = int.Parse(data[0]);
    y = int.Parse(data[1]);
    /*a = int.Parse(Console.ReadLine());
    b = int.Parse(Console.ReadLine());
    x = int.Parse(Console.ReadLine());
    y = int.Parse(Console.ReadLine());*/
    if (a==x && b == y)
    {
        Console.WriteLine("nijedan");
    }
    else if(y==b)
    {
        Console.WriteLine("prvi");
    }
    else if(x==a)
    {
        Console.WriteLine("drugi");
    }
    else
    {
        Console.WriteLine("?");
    }
  }
}